[youtubei.js](../../../README.md) / [Helpers](../README.md) / YTNodeConstructor

# Interface: YTNodeConstructor\<T\>

## Type Parameters

• **T** *extends* [`YTNode`](../classes/YTNode.md) = [`YTNode`](../classes/YTNode.md)

## Constructors

### new YTNodeConstructor()

> **new YTNodeConstructor**(`data`): `T`

#### Parameters

• **data**: `any`

#### Returns

`T`

#### Defined in

[src/parser/helpers.ts:320](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/helpers.ts#L320)

## Properties

### type

> `readonly` **type**: `string`

#### Defined in

[src/parser/helpers.ts:321](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/helpers.ts#L321)
